## naspro-core 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(NACORE)

set(NACORE_VERSION 0.2.0)

set(NACORE_SOURCES src/avl.c src/init.c src/lv2api.c src/manifest.c)
set(NACORE_SOURCES ${NACORE_SOURCES} src/posix/dl.c src/posix/env.c src/posix/path.c)

include(FindPkgConfig)
pkg_check_modules(LV2 REQUIRED lv2core)

include_directories("${NACORE_SOURCE_DIR}" "${NACORE_SOURCE_DIR}/include" ${LV2_INCLUDE_DIRS})
add_library(nacore SHARED ${NACORE_SOURCES})
set_target_properties(nacore PROPERTIES VERSION 2.0.0 SOVERSION 2)
find_library(LIBDL dl)
if (NOT "${LIBDL}" MATCHES LIBDL-NOTFOUND)
	set(LIBS ${LIBDL})
endif ()
if ("${CMAKE_SYSTEM_NAME}" MATCHES Haiku)
	find_library(LIBROOT root)
	set(LIBS ${LIBS} ${LIBROOT})
endif ()
target_link_libraries(nacore ${LIBS})

if (NOT DEFINED LIBDIR_INSTALL)
	set(LIBDIR_INSTALL lib)
endif ()

if (NOT DEFINED INCLUDEDIR_INSTALL)
	set(INCLUDEDIR_INSTALL include)
endif ()

if (NOT DEFINED PKGCONFIGDIR_INSTALL)
	set(PKGCONFIGDIR_INSTALL "${LIBDIR_INSTALL}/pkgconfig")
endif ()

set(SO_FILE_EXT "\"${CMAKE_SHARED_MODULE_SUFFIX}\"")
configure_file("${NACORE_SOURCE_DIR}/config.h.in" "${NACORE_BINARY_DIR}/config.h" @ONLY)
configure_file("${NACORE_SOURCE_DIR}/nacore.pc.in" "${NACORE_BINARY_DIR}/nacore.pc" @ONLY)

install(TARGETS nacore DESTINATION "${LIBDIR_INSTALL}")
install(DIRECTORY include/NASPRO DESTINATION "${INCLUDEDIR_INSTALL}")
install(FILES nacore.pc DESTINATION "${PKGCONFIGDIR_INSTALL}")

set(CPACK_PACKAGE_VERSION_MAJOR 0)
set(CPACK_PACKAGE_VERSION_MINOR 2)
set(CPACK_PACKAGE_VERSION_PATCH 0)
set(CPACK_PACKAGE_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH})
set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_PACKAGE_FILE_NAME naspro-core-${CPACK_PACKAGE_VERSION})
set(CPACK_SOURCE_IGNORE_FILES
	"^${NACORE_BINARY_DIR}/CMakeCache.*"
	"^${NACORE_BINARY_DIR}/CMakeFiles.*"
	"^${NACORE_BINARY_DIR}/cmake.*"
	"^${NACORE_BINARY_DIR}/install.*"
	"^${NACORE_BINARY_DIR}/_CPack.*"
	"^${NACORE_BINARY_DIR}/CPack.*"
	"^${NACORE_BINARY_DIR}/Makefile$"
	"^${NACORE_BINARY_DIR}/naspro-.*"
	"^${NACORE_BINARY_DIR}/config.h$"
	"^${NACORE_BINARY_DIR}/nacore.pc$"
	"^${NACORE_BINARY_DIR}/.*\\\\.o$"
	"^${NACORE_BINARY_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}nacore.*${CMAKE_SHARED_LIBRARY_SUFFIX}.*$"
)

include(CPack)

=== debian/changelog ===
naspro-core (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #593985).

 -- Alessio Treglia <alessio@debian.org>  Sun, 22 Aug 2010 21:51:38 +0200

=== debian/control ===
Source: naspro-core
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7),
 cmake,
 pkg-config,
 lv2core
Standards-Version: 3.9.1
Homepage: http://naspro.atheme.org/about
Vcs-Git: git://git.debian.org/pkg-multimedia/naspro-core.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/naspro-core.git

Package: libnacore2
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: The NASPRO core library
 A tiny convenience library containing useful code to implement LV2
 dynamic manifest plugins and especially bridges from other APIs to
 LV2.
 .
 It provides:
  * LV2 dynamic manifest and descriptor generation;
  * OS-independent path scanning;
  * OS-independent environment variables retrieving;
  * OS-independent dynamic loading;
  * AVL trees.
 .
 It supports the LV2 core specification (r3) and the following
 specifications/extensions:
  * LV2 Dynamic Manifest (http://lv2plug.in/ns/ext/dyn-manifest);
  * LV2 Units (http://lv2plug.in/ns/extensions/units);
  * LV2 URI Map (http://lv2plug.in/ns/ext/uri-map);
  * LV2 Events (http://lv2plug.in/ns/ext/event);
  * LV2 MIDI Events (http://lv2plug.in/ns/ext/midi);
  * LV2 Extended Port Information (http://lv2plug.in/ns/dev/extportinfo)
    (only the epp:logarithmic property is supported).
 .
 This package includes the shared library object.

Package: libnacore-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libnacore2 (>= ${source:Version}),
 libnacore2 (<< ${source:Upstream-Version}+1~),
 pkg-config,
 lv2core
Description: The NASPRO core library (development files)
 A tiny convenience library containing useful code to implement LV2
 dynamic manifest plugins and especially bridges from other APIs to
 LV2.
 .
 This package includes the development tools.

=== debian/watch ===
version=3
http://sf.net/naspro/naspro-core-(.*)\.tar\.gz

## naspro-core 0.2.91

=== debian/changelog ===
naspro-core (0.2.91-2) unstable; urgency=low

  * Reintroduce 0001-float_rounding.patch to fix various FTBFS.
  * debian/rules:
    - Set NATURALDOCS=/usr/bin/naturaldocs in debian/rules to make the
      configure script able to detect naturaldocs.
    - Build documentation only when naturaldocs is installed.
    - Enable parallel builds.
  * debian/control:
    - Add naturaldocs to Build-Depends-Indep.
    - Add -DOC package to provide documentation in the HTML format.
    - Add Suggests: libnacore-doc in the libnacore-dev's stanza.
    - Bump libnacore-dev's lv2core dependency to be >= 4.0.
    - Bump Standards.
  * Add debian/libnacore-doc.install file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 May 2011 13:12:36 +0200

naspro-core (0.2.91-1) unstable; urgency=low

  * New upstream bugfix release.
  * Use upstream's bzip2'd tarball.
  * We don't need to repack the original tarball anymore, upstream has
    removed the offending files.
  * debian/rules:
    - Clean-up, no need to create a m4 directory.
  * debian/copyright:
    - Update to DEP-5 rev. 174.
    - GPL'd files are licensed under GPL-2+.
  * Remove 0001-float_rounding.patch, 0002-gcc46.patch patches, applied
    upstream.

 -- Alessio Treglia <alessio@debian.org>  Sun, 29 May 2011 21:11:24 +0200

naspro-core (0.2.90~repack0-4) unstable; urgency=low

  * Improve 0001-float_rounding.patch to fix FTBFS on sparc64 too.
  * Bump minimum build-dep on lv2core to 4.0.
  * Get rid of -Werror to avoid build failure with GCC4.6. (Closes: #625399)

 -- Alessio Treglia <alessio@debian.org>  Sun, 08 May 2011 12:18:18 +0200

naspro-core (0.2.90~repack0-3) unstable; urgency=low

  * Attempt to fix FTBFS on alpha,s390,sparc.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Apr 2011 01:01:22 +0200

naspro-core (0.2.90~repack0-2) unstable; urgency=low

  * Add symbols file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 01 Apr 2011 10:15:24 +0200

naspro-core (0.2.90~repack0-1) unstable; urgency=low

  * New upstream release.
  * Bump SONAME.
  * debian/control:
    - Remove build-dependency on cmake.
    - Add build-dependency on dh-autoreconf.
    - Set debhelper minimum to 7.0.50~.
    - Update Homepage.
    - Update description.
    - Fix lintian's description-synopsis-starts-with-article warning.
  * debian/rules:
    - Enable DH's autoreconf helper.
    - dh_autoreconf needs m4 to be created before calling
      autoreconf -f -i.
    - Don't build static libraries.
  * debian/copyright:
    - NASPRO's main license is LGPL-2.1 now.
    - Update according to DEP-5 rev.173.
  * Drop patches.
  * debian/gbp.conf: Add sign-tags = True

 -- Alessio Treglia <alessio@debian.org>  Wed, 30 Mar 2011 19:01:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7),
- cmake,
+Build-Depends: debhelper (>= 7.0.50~),
+ dh-autoreconf,
  pkg-config,
- lv2core
-Standards-Version: 3.9.1
-Homepage: http://naspro.atheme.org/about
+ lv2core (>= 4.0)
+Build-Depends-Indep: naturaldocs
+Standards-Version: 3.9.2
+Homepage: http://naspro.atheme.org/naspro-core/about
 Vcs-Git: git://git.debian.org/pkg-multimedia/naspro-core.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/naspro-core.git
 
-Package: libnacore2
+Package: libnacore3
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Description: The NASPRO core library
+Description: NASPRO core library
  A tiny convenience library containing useful code to implement LV2
  dynamic manifest plugins and especially bridges from other APIs to
  LV2.
@@ -28,7 +29,7 @@
   * OS-independent dynamic loading;
   * AVL trees.
  .
- It supports the LV2 core specification (r3) and the following
+ It supports the LV2 core specification and the following
  specifications/extensions:
   * LV2 Dynamic Manifest (http://lv2plug.in/ns/ext/dyn-manifest);
   * LV2 Units (http://lv2plug.in/ns/extensions/units);
@@ -44,13 +45,25 @@
 Section: libdevel
 Architecture: all
 Depends: ${misc:Depends},
- libnacore2 (>= ${source:Version}),
- libnacore2 (<< ${source:Upstream-Version}+1~),
+ libnacore3 (>= ${source:Version}),
+ libnacore3 (<< ${source:Upstream-Version}+1~),
  pkg-config,
- lv2core
-Description: The NASPRO core library (development files)
+ lv2core (>= 4.0)
+Suggests: libnacore-doc
+Description: NASPRO core library (development files)
  A tiny convenience library containing useful code to implement LV2
  dynamic manifest plugins and especially bridges from other APIs to
  LV2.
  .
  This package includes the development tools.
+
+Package: libnacore-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: NASPRO core library (documentation)
+ A tiny convenience library containing useful code to implement LV2
+ dynamic manifest plugins and especially bridges from other APIs to
+ LV2.
+ .
+ This package includes the documentation files.

=== debian/rules ===
#!/usr/bin/make -f

export NATURALDOCS=/usr/bin/naturaldocs

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_auto_build:
	dh_auto_build
ifeq ($(shell dpkg-query -s naturaldocs 1>/dev/null 2>&1 && echo yes),yes)
	cd doc/ && $(MAKE) html
endif

## naspro-core 0.3.0

=== debian/changelog ===
naspro-core (0.3.0-1) experimental; urgency=low

  * New upstream release.
  * Refresh patch.
  * Bump SONAME:
    - Update symbols file.
    - New runtime "libnacore4" replaces "libnacore3".
  * Create the directory m4 before calling dh_autoreconf, otherwise it fails.

 -- Alessio Treglia <alessio@debian.org>  Fri, 16 Dec 2011 14:57:33 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Vcs-Git: git://git.debian.org/pkg-multimedia/naspro-core.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/naspro-core.git
 
-Package: libnacore3
+Package: libnacore4
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
@@ -45,10 +45,10 @@
 Section: libdevel
 Architecture: all
 Depends: ${misc:Depends},
- libnacore3 (>= ${source:Version}),
- libnacore3 (<< ${source:Upstream-Version}+1~),
+ libnacore4 (>= ${source:Version}),
+ libnacore4 (<< ${source:Upstream-Version}+1~),
  pkg-config,
- lv2core (>= 4.0)
+ lv2core (>= 6.0)
 Suggests: libnacore-doc
 Description: NASPRO core library (development files)
  A tiny convenience library containing useful code to implement LV2

## naspro-core 0.4.0

=== debian/changelog ===
naspro-core (0.4.0-3) unstable; urgency=low

  * Port to LV2's first unified release.
  * Bump Standards.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 04 Jun 2012 11:53:02 +0200

naspro-core (0.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Feb 2012 11:09:13 +0100

naspro-core (0.4.0-1) experimental; urgency=low

  * New upstream release.
  * Bump SONAME.
  * Drop patches, no longer needed.
  * Update symbols file.
  * Build with MultiArch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2012 10:46:40 +0100

naspro-core (0.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 26 Dec 2011 11:49:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,27 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 8.1.3~),
  dh-autoreconf,
- pkg-config,
- lv2core (>= 4.0)
-Build-Depends-Indep: naturaldocs
-Standards-Version: 3.9.2
+ lv2-dev,
+ pkg-config
+Build-Depends-Indep:
+ naturaldocs
+Standards-Version: 3.9.3
 Homepage: http://naspro.atheme.org/naspro-core/about
 Vcs-Git: git://git.debian.org/pkg-multimedia/naspro-core.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/naspro-core.git
 
-Package: libnacore4
+Package: libnacore5
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: NASPRO core library
  A tiny convenience library containing useful code to implement LV2
  dynamic manifest plugins and especially bridges from other APIs to
@@ -43,13 +49,15 @@
 
 Package: libnacore-dev
 Section: libdevel
-Architecture: all
-Depends: ${misc:Depends},
- libnacore4 (>= ${source:Version}),
- libnacore4 (<< ${source:Upstream-Version}+1~),
+Architecture: any
+Multi-Arch: same
+Depends:
+ libnacore5 (= ${binary:Version}),
+ lv2-dev,
  pkg-config,
- lv2core (>= 6.0)
-Suggests: libnacore-doc
+ ${misc:Depends}
+Suggests:
+ libnacore-doc
 Description: NASPRO core library (development files)
  A tiny convenience library containing useful code to implement LV2
  dynamic manifest plugins and especially bridges from other APIs to
@@ -60,7 +68,8 @@
 Package: libnacore-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: NASPRO core library (documentation)
  A tiny convenience library containing useful code to implement LV2
  dynamic manifest plugins and especially bridges from other APIs to

## naspro-core 0.5.0

=== debian/changelog ===
naspro-core (0.5.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Oct 2013 12:07:27 +0100

naspro-core (0.5.0-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper requirements.
  * Fix Homepage field.
  * Fix Vcs fields.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Feb 2013 17:23:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders:
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 8.1.3~),
+ debhelper (>= 9~),
  dh-autoreconf,
  lv2-dev,
  pkg-config
 Build-Depends-Indep:
  naturaldocs
-Standards-Version: 3.9.3
-Homepage: http://naspro.atheme.org/naspro-core/about
-Vcs-Git: git://git.debian.org/pkg-multimedia/naspro-core.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/naspro-core.git
+Standards-Version: 3.9.4
+Homepage: http://naspro.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/naspro-core.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/naspro-core.git
 
 Package: libnacore5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,14 @@
 
 %:
 	dh $@ --parallel --with autoreconf
+
+override_dh_auto_clean:
+	rm -rf m4
+	dh_auto_clean
+
+override_dh_autoreconf:
+	mkdir m4
+	dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-static=no

## naspro-core 0.5.1

=== debian/changelog ===
naspro-core (0.5.1-4) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Adjusted d/rules to ignore libtool .la file.
  * Removed generated doc/proj/ files during clean to ensure
    rebuildability (Closes: #1047869, #695291).
  * Flag in d/control that root build is not needed.
  * Marked libnacore-doc as Multi-Arch: foreign.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Nov 2024 07:08:14 +0100

naspro-core (0.5.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:02:59 +0200

naspro-core (0.5.1-3) unstable; urgency=medium

  * QA upload.
  * Disable -Werror to fix FTBFS with glibc 2.24. (Closes: #837001)

 -- James Cowgill <jcowgill@debian.org>  Wed, 02 Nov 2016 22:37:44 +0000

naspro-core (0.5.1-2) unstable; urgency=medium

  * QA upload.
  * Add patch to fix FTBFS with glibc >= 2.20 (Closes: #808672)
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Feb 2016 11:29:01 +0000

naspro-core (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 17 Sep 2014 08:28:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,23 @@
 Source: naspro-core
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders:
- Alessio Treglia <alessio@debian.org>
-Build-Depends:
- debhelper (>= 9~),
- dh-autoreconf,
- lv2-dev,
- pkg-config
-Build-Depends-Indep:
- naturaldocs
-Standards-Version: 3.9.4
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
+               lv2-dev,
+               pkgconf,
+Build-Depends-Indep: naturaldocs,
+Standards-Version: 4.7.0
 Homepage: http://naspro.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/naspro-core.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/naspro-core.git
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/naspro-core
+Vcs-Git: https://salsa.debian.org/debian/naspro-core.git
 
 Package: libnacore5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: NASPRO core library
  A tiny convenience library containing useful code to implement LV2
  dynamic manifest plugins and especially bridges from other APIs to
@@ -51,13 +46,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- libnacore5 (= ${binary:Version}),
- lv2-dev,
- pkg-config,
- ${misc:Depends}
-Suggests:
- libnacore-doc
+Depends: libnacore5 (= ${binary:Version}),
+         lv2-dev,
+         pkgconf,
+         ${misc:Depends},
+Suggests: libnacore-doc,
 Description: NASPRO core library (development files)
  A tiny convenience library containing useful code to implement LV2
  dynamic manifest plugins and especially bridges from other APIs to
@@ -68,8 +61,8 @@
 Package: libnacore-doc
 Section: doc
 Architecture: all
-Depends:
- ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends},
 Description: NASPRO core library (documentation)
  A tiny convenience library containing useful code to implement LV2
  dynamic manifest plugins and especially bridges from other APIs to

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #!/usr/bin/make -f
 
+export DEB_CFLAGS_MAINT_APPEND := -Wno-error
 export NATURALDOCS=/usr/bin/naturaldocs
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	rm -rf m4
 	dh_auto_clean
+	$(RM) doc/proj/Languages.txt doc/proj/Menu.txt doc/proj/Topics.txt
 
 override_dh_autoreconf:
 	mkdir m4
@@ -21,3 +23,6 @@
 ifeq ($(shell dpkg-query -s naturaldocs 1>/dev/null 2>&1 && echo yes),yes)
 	cd doc/ && $(MAKE) html
 endif
+
+execute_after_dh_auto_install:
+	$(RM) debian/tmp/usr/lib/*/libnacore.la
